package com.bankaudit.dto.process;

import java.util.Date;

public class LettersSystemDataDto {
	
	private Integer legalEntityCode;
	private String auditId;
	private String auditStatus;
	private String auditTypeCode;
	private String letterCode;
	private String letterDesc;
	private String status;
	private String maker;
	
	private String unitCode;
	private String unitName;
	private String address1;
	private String address2;
	private String address3;
	private String city;
	private String district;
	private String state;
	private String country;
	private String pincode;
	
	private String parentUnitCode;
	private String parentUnitName;
	private String parentAddress1;
	private String parentAddress2;
	private String parentAddress3;
	private String parentCity;
	private String parentDistrict;
	private String parentState;
	private String parentCountry;
	private String parentPincode;
	private String parentUnitNameHindi;
	
	private String serialNo;
	private String serialNoRoman;
	private Date scheduleStartDate;
	private Date scheduleEndDate;
	private Date auditStartDate;
	private Date auditEndDate;
	private Date finYrDate;
	private Date dispatchDate;
	private Date finaliseDate;
	private String leadId;
	private String leadName;
	private String leadDesignation;
	private String members;
	private String reportStatus;
	private boolean isAuthAllowed;
	
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getAuditStatus() {
		return auditStatus;
	}
	public void setAuditStatus(String auditStatus) {
		this.auditStatus = auditStatus;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getLetterCode() {
		return letterCode;
	}
	public void setLetterCode(String letterCode) {
		this.letterCode = letterCode;
	}
	public String getLetterDesc() {
		return letterDesc;
	}
	public void setLetterDesc(String letterDesc) {
		this.letterDesc = letterDesc;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getMaker() {
		return maker;
	}
	public void setMaker(String maker) {
		this.maker = maker;
	}
	public String getUnitCode() {
		return unitCode;
	}
	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}
	public String getUnitName() {
		return unitName;
	}
	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}
	public String getAddress1() {
		return address1;
	}
	public void setAddress1(String address1) {
		this.address1 = address1;
	}
	public String getAddress2() {
		return address2;
	}
	public void setAddress2(String address2) {
		this.address2 = address2;
	}
	public String getAddress3() {
		return address3;
	}
	public void setAddress3(String address3) {
		this.address3 = address3;
	}
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getDistrict() {
		return district;
	}
	public void setDistrict(String district) {
		this.district = district;
	}
	public String getCountry() {
		return country;
	}
	public void setCountry(String country) {
		this.country = country;
	}
	public String getState() {
		return state;
	}
	public void setState(String state) {
		this.state = state;
	}
	public String getPincode() {
		return pincode;
	}
	public void setPincode(String pincode) {
		this.pincode = pincode;
	}
	public String getParentUnitCode() {
		return parentUnitCode;
	}
	public void setParentUnitCode(String parentUnitCode) {
		this.parentUnitCode = parentUnitCode;
	}
	public String getParentUnitName() {
		return parentUnitName;
	}
	public void setParentUnitName(String parentUnitName) {
		this.parentUnitName = parentUnitName;
	}
	public String getParentAddress1() {
		return parentAddress1;
	}
	public void setParentAddress1(String parentAddress1) {
		this.parentAddress1 = parentAddress1;
	}
	public String getParentAddress2() {
		return parentAddress2;
	}
	public void setParentAddress2(String parentAddress2) {
		this.parentAddress2 = parentAddress2;
	}
	public String getParentAddress3() {
		return parentAddress3;
	}
	public void setParentAddress3(String parentAddress3) {
		this.parentAddress3 = parentAddress3;
	}
	public String getParentCity() {
		return parentCity;
	}
	public void setParentCity(String parentCity) {
		this.parentCity = parentCity;
	}
	public String getParentDistrict() {
		return parentDistrict;
	}
	public void setParentDistrict(String parentDistrict) {
		this.parentDistrict = parentDistrict;
	}
	public String getParentState() {
		return parentState;
	}
	public void setParentState(String parentState) {
		this.parentState = parentState;
	}
	public String getParentCountry() {
		return parentCountry;
	}
	public void setParentCountry(String parentCountry) {
		this.parentCountry = parentCountry;
	}
	public String getParentPincode() {
		return parentPincode;
	}
	public void setParentPincode(String parentPincode) {
		this.parentPincode = parentPincode;
	}
	public String getParentUnitNameHindi() {
		return parentUnitNameHindi;
	}
	public void setParentUnitNameHindi(String parentUnitNameHindi) {
		this.parentUnitNameHindi = parentUnitNameHindi;
	}
	public String getSerialNo() {
		return serialNo;
	}
	public void setSerialNo(String serialNo) {
		this.serialNo = serialNo;
	}
	public String getSerialNoRoman() {
		return serialNoRoman;
	}
	public void setSerialNoRoman(String serialNoRoman) {
		this.serialNoRoman = serialNoRoman;
	}
	public Date getScheduleStartDate() {
		return scheduleStartDate;
	}
	public void setScheduleStartDate(Date scheduleStartDate) {
		this.scheduleStartDate = scheduleStartDate;
	}
	public Date getScheduleEndDate() {
		return scheduleEndDate;
	}
	public void setScheduleEndDate(Date scheduleEndDate) {
		this.scheduleEndDate = scheduleEndDate;
	}
	public Date getAuditStartDate() {
		return auditStartDate;
	}
	public void setAuditStartDate(Date auditStartDate) {
		this.auditStartDate = auditStartDate;
	}
	public Date getAuditEndDate() {
		return auditEndDate;
	}
	public void setAuditEndDate(Date auditEndDate) {
		this.auditEndDate = auditEndDate;
	}
	public Date getFinYrDate() {
		return finYrDate;
	}
	public void setFinYrDate(Date finYrDate) {
		this.finYrDate = finYrDate;
	}
	public Date getDispatchDate() {
		return dispatchDate;
	}
	public void setDispatchDate(Date dispatchDate) {
		this.dispatchDate = dispatchDate;
	}
	public Date getFinaliseDate() {
		return finaliseDate;
	}
	public void setFinaliseDate(Date finaliseDate) {
		this.finaliseDate = finaliseDate;
	}
	public String getLeadId() {
		return leadId;
	}
	public void setLeadId(String leadId) {
		this.leadId = leadId;
	}
	public String getLeadName() {
		return leadName;
	}
	public void setLeadName(String leadName) {
		this.leadName = leadName;
	}
	public String getLeadDesignation() {
		return leadDesignation;
	}
	public void setLeadDesignation(String leadDesignation) {
		this.leadDesignation = leadDesignation;
	}
	public String getMembers() {
		return members;
	}
	public void setMembers(String members) {
		this.members = members;
	}
	public String getReportStatus() {
		return reportStatus;
	}
	public void setReportStatus(String reportStatus) {
		this.reportStatus = reportStatus;
	}
	public boolean isAuthAllowed() {
		return isAuthAllowed;
	}
	public void setAuthAllowed(boolean isAuthAllowed) {
		this.isAuthAllowed = isAuthAllowed;
	}
	
	
	
	

}
